cURL
curl --request PATCH \ --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/sso/connections/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "protocol": "oidc", "issuerUrl": "<string>", "clientId": "<string>", "clientSecret": "<string>", "idpEntityId": "<string>", "idpSsoUrl": "<string>", "idpCertificate": "<string>", "spEntityId": "<string>", "spAcsUrl": "<string>", "domains": [ "<string>" ], "jitProvisioning": true, "enforce": true, "groupAttribute": "<string>", "groupMappings": {}, "defaultScopes": [ "<string>" ] } '
{ "id": "<string>", "developerId": "<string>", "name": "<string>", "protocol": "oidc", "issuerUrl": "<string>", "clientId": "<string>", "idpEntityId": "<string>", "idpSsoUrl": "<string>", "spEntityId": "<string>", "spAcsUrl": "<string>", "domains": [ "<string>" ], "jitProvisioning": true, "enforce": true, "groupAttribute": "<string>", "groupMappings": {}, "defaultScopes": [ "<string>" ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }
Update an existing SSO connection. All body parameters are optional.
Developer API key
SSO connection ID
oidc
saml
Show child attributes
SSO connection updated